Name: ca_CERN-TCA
Version: 1.32
Release: 1
Source: ca_CERN-TCA-1.32.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_CERN-TCA-1.32/1d879c6c.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority CERN-TCA

%if %([ -n "http://www.cern.ch/ca" ] && echo 1 || echo 0)
URL: http://www.cern.ch/ca
%endif

%if %([ -n "ca_CERN-Root = 1.32" ] && echo 1 || echo 0)
Requires: ca_CERN-Root = 1.32
%endif

%prep
%setup -n ca_CERN-TCA-1.32

%description
This is the trust anchor for the classic accredited authority CERN-TCA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr 1d879c6c.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

